---
updatedAt: 2026-03-25T11:18:18.000Z
---

# Get commercial rates

Gets commercial exchange rates for Georgian Lari. If list of currencies is not specified in request, all available commercial exchange rates are fetched.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "exchange-rates",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test-api.tbcbank.ge"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/exchange-rates/commercial": {
      "get": {
        "summary": "Get commercial rates",
        "description": "Gets commercial exchange rates for Georgian Lari. If list of currencies is not specified in request, all available commercial exchange rates are fetched.",
        "operationId": "exchangerates-get-commercial-rates-api",
        "parameters": [
          {
            "name": "currency",
            "in": "query",
            "description": "(optional) list of comma-separated 3-letter currency codes for limiting results to specific currencies. e.g. USD,EUR,JPY",
            "schema": {
              "type": "string",
              "default": "usd, eur"
            }
          },
          {
            "name": "apikey",
            "in": "header",
            "description": "developer api key",
            "required": true,
            "schema": {
              "type": "string",
              "default": "I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"base\": \"GEL\",\n    \"commercialRatesList\": [\n        {\n            \"currency\": \"EUR\",\n            \"buy\": 3.6180,\n            \"sell\": 3.7460\n        },\n        {\n            \"currency\": \"USD\",\n            \"buy\": 3.0800,\n            \"sell\": 3.1560\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "base": {
                      "type": "string",
                      "example": "GEL"
                    },
                    "commercialRatesList": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "currency": {
                            "type": "string",
                            "example": "EUR"
                          },
                          "buy": {
                            "type": "number",
                            "example": 3.618,
                            "default": 0
                          },
                          "sell": {
                            "type": "number",
                            "example": 3.746,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-400\",\n    \"title\": \"Invalid input parameter.\",\n    \"status\": 400,\n    \"detail\": \"Invalid input parameter.\",\n    \"systemCode\": \"System code for problem is exchange-rates.400.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-400"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid input parameter."
                    },
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Invalid input parameter."
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.400.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-401\",\n    \"title\": \"Invalid Api Key\",\n    \"status\": 401,\n    \"detail\": \"Please make sure api key is valid\",\n    \"systemCode\": \"System code for problem is exchange-rates.401.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-401"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid Api Key"
                    },
                    "status": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Please make sure api key is valid"
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.401.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-404\",\n    \"title\": \"Not Found\",\n    \"status\": 404,\n    \"detail\": \"\",\n    \"systemCode\": \"System code for problem is exchange-rates.404.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-404"
                    },
                    "title": {
                      "type": "string",
                      "example": "Not Found"
                    },
                    "status": {
                      "type": "integer",
                      "example": 404,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": ""
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.404.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"type\": \"https://developers.tbcbank.ge/error-reference#type-500\",\n    \"title\": \"Invalid currency code: `AAA`\",\n    \"status\": 500,\n    \"detail\": \"Invalid currency code: `AAA`\",\n    \"systemCode\": \"System code for problem is exchange-rates.500.001\",\n    \"code\": \"\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "https://developers.tbcbank.ge/error-reference#type-500"
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid currency code: `AAA`"
                    },
                    "status": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "Invalid currency code: `AAA`"
                    },
                    "systemCode": {
                      "type": "string",
                      "example": "System code for problem is exchange-rates.500.001"
                    },
                    "code": {
                      "type": "string",
                      "example": ""
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "GET /v1/exchange-rates/commercial?currency=usd,eur HTTP/1.1\nHost: test-api.tbcbank.ge\napikey: I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg"
            },
            {
              "language": "php",
              "code": "<?php\nrequire_once 'HTTP/Request2.php';\n$request = new HTTP_Request2();\n$request->setUrl('https://test-api.tbcbank.ge/v1/exchange-rates/commercial?currency=usd, eur');\n$request->setMethod(HTTP_Request2::METHOD_GET);\n$request->setConfig(array(\n  'follow_redirects' => TRUE\n));\n$request->setHeader(array(\n  'apikey' => 'I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg'\n));\ntry {\n  $response = $request->send();\n  if ($response->getStatus() == 200) {\n    echo $response->getBody();\n  }\n  else {\n    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .\n    $response->getReasonPhrase();\n  }\n}\ncatch(HTTP_Request2_Exception $e) {\n  echo 'Error: ' . $e->getMessage();\n}"
            },
            {
              "language": "csharp",
              "code": "var client = new RestClient(\"https://test-api.tbcbank.ge/v1/exchange-rates/commercial?currency=usd, eur\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"apikey\", \"I3Rz8QXBVPofKtucsenkW7g2n7aDwqBg\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "csharp"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```